Bug 204065 - Updates for IPv6 address ranges for jwhois.conf
Updates for IPv6 address ranges for jwhois.conf
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: jwhois (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 07:41 EDT by Peter Bieringer
Modified: 2010-10-22 01:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 07:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-08-25 07:41:42 EDT
jwhois of RHEL4 is more outdated:

# rpm -q jwhois
jwhois-3.2.2-6.EL4.1


# whois 2001:a60:9002:1::165:1
[Querying whois.6bone.net]
[whois.6bone.net]
connect: Connection refused at /usr/local/bin/tcptunnel.pl line 154.

6bone is switched off according to RFC 3701.




+++ This bug was initially created as a clone of Bug #191290 +++

Description of problem:
jwhois.conf is a little bit outdated and misses some newer IPv6 address delegations.

Version-Release number of selected component (if applicable):
jwhois-3.2.3-4 (from devel)


How reproducible:
always


Steps to Reproduce:
1. Try 
$ whois 2a01:0800::/23
  
Actual results:
$ whois 2a01:0800::/23|grep Querying
[Querying whois.6bone.net]


Expected results:
$ whois 2a01:0800::/23|grep Querying
[Querying whois.ripe.net]


Additional info:
I removed also the 6bone catchall to 6bone-only lookup, makes no sense today and
sure after 6.6.2006

-- Additional comment from pb@bieringer.de on 2006-05-10 11:16 EST --
Created an attachment (id=128854)
/etc/jwhois.conf extension


-- Additional comment from mitr@redhat.com on 2006-05-14 21:07 EST --
Thanks!

I have added the 2001:B000::/20 range, applied the patch in rawhide
jwhois-3.2.3-5, and forwarded it upstream.
Comment 1 Peter Bieringer 2007-04-11 10:07:51 EDT
There is still no update available for RHEL4, also I didn't found a new version
of jwhois in beta channel. Can I ever expect an updated version for RHEL4 now?
Comment 5 RHEL Product and Program Management 2009-01-06 13:46:34 EST
This bugzilla has Keywords FutureFeature or HardwareEnablement and thus does not meet the
release criteria for FasTrack. This FasTrack request has been denied.
This bugzilla must be addressed in a minor release.
Comment 6 RHEL Product and Program Management 2009-01-06 13:47:25 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Ondrej Vasik 2010-03-23 07:07:13 EDT
As RHEL-4.9 is last update for RHEL-4 and it is not suitable for new features
and should address only security, performance and critical issues, I'm closing
that bugzilla WONTFIX. Problem is fixed in RHEL-5.

Note You need to log in before you can comment on or make changes to this bug.